Bug 41564 - Implement performance.navigation.type
Summary: Implement performance.navigation.type
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Tony Gentilcore
URL:
Keywords:
Depends on:
Blocks: 30685
  Show dependency treegraph
 
Reported: 2010-07-02 22:30 PDT by Tony Gentilcore
Modified: 2010-07-09 06:58 PDT (History)
2 users (show)

See Also:


Attachments
Patch (8.89 KB, patch)
2010-07-02 22:34 PDT, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch for landing (8.87 KB, patch)
2010-07-07 10:34 PDT, Tony Gentilcore
no flags Details | Formatted Diff | Diff
Patch for landing (8.87 KB, patch)
2010-07-08 08:58 PDT, Tony Gentilcore
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Gentilcore 2010-07-02 22:30:14 PDT
Implement performance.navigation.type
Comment 1 Tony Gentilcore 2010-07-02 22:34:43 PDT
Created attachment 60440 [details]
Patch
Comment 2 Dimitri Glazkov (Google) 2010-07-03 07:42:41 PDT
Comment on attachment 60440 [details]
Patch

WebCore/page/Navigation.h:56
 +          NAVIGATE = 0,
Enum convention is CamelCase. Other than that, the baby's starting to take its first steps!
Comment 3 Tony Gentilcore 2010-07-07 10:34:05 PDT
Created attachment 60751 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2010-07-07 23:46:51 PDT
Comment on attachment 60751 [details]
Patch for landing

Rejecting patch 60751 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--exit-after-n-failures=1', '--ignore-tests', 'compositing', '--quiet']" exit_code: 1
Running build-dumprendertree
Compiling Java tests
make: Nothing to be done for `default'.
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Testing 19306 test cases.
fast/dom/navigation-type-back-forward.html -> failed

Exiting early after 1 failures. 6430 tests run.
103.81s total testing time

6429 test cases (99%) succeeded
1 test case (<1%) had incorrect layout

Full output: http://webkit-commit-queue.appspot.com/results/3480011
Comment 5 Tony Gentilcore 2010-07-08 08:58:47 PDT
Created attachment 60894 [details]
Patch for landing
Comment 6 WebKit Commit Bot 2010-07-09 06:58:43 PDT
Comment on attachment 60894 [details]
Patch for landing

Clearing flags on attachment: 60894

Committed r62947: <http://trac.webkit.org/changeset/62947>
Comment 7 WebKit Commit Bot 2010-07-09 06:58:48 PDT
All reviewed patches have been landed.  Closing bug.